API reference, Document capture

Add document V2

POSThttps://demo-api.incodesmile.com/omni/add/document/v2

Upload document image and store data.

Query parameters

typestringrequired

- **signature**: Upload user's digital signature. This can be later fetched in get images endpoint. - **document**: Upload user's proof of address document. This can be later fetched in get images endpoint. - **addressStatement**: (Legacy) Upload user's proof of address document. Used for backward compatibility. Use type 'document' instead. - **medicalDoc**: Upload user's medical document. - **thirdId**: Upload user's third ID. - **contract**: Upload contract image.

enumsignaturedocumentmedicalDocthirdIdcontract
titlestring

Only if type is contract. Title of contract.

formatstring

Only if type is document. Possible values are image (jpg and png supported) or pdf. Default is image.

enumimagepdf

Headers

api-versionstringrequiredDefaults to 1.0

Request body

application/json

base64Imagestring

Image in base64 format. One of base64Image or imageUrl is required

imageUrlstring

URL of the image. One of base64Image or imageUrl is required

Responses

Was this page helpful?